%define ver_major 2.26

%def_enable python

Name: gedit
Version: %ver_major.3
Release: alt1

Summary: gEdit is a small but powerful text editor for GNOME
License: GPLv2
Group: Editors
Url: ftp://ftp.gnome.org/
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-alt-settings.patch

Conflicts: %name-plugins < 2.3.3
%if_enabled python
%py_provides gedit
%endif

# From configure.ac
%define glib_ver 2.18.0
%define gtk_ver 2.13.0
%define gtksourceview_ver 2.4.0
%define GConf_ver 2.10.0
%define enchant_ver 1.2.0
%define desktop_file_utils_ver 0.8

PreReq: GConf librarian
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver

BuildPreReq: rpm-build-gnome >= 0.6

# From configure.ac
BuildPreReq: intltool >= 0.40.0
BuildPreReq: libGConf-devel >= %GConf_ver
BuildPreReq: gnome-doc-utils gnome-doc-utils-xslt
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: libenchant-devel >= %enchant_ver
BuildPreReq: iso-codes-devel >= 0.35
BuildPreReq: libattr-devel
BuildPreReq: glib2-devel >= %glib_ver libgio-devel
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgtksourceview-devel >= %gtksourceview_ver
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver

%if_enabled python
BuildPreReq: python-module-pygobject-devel >= 2.15.4
BuildPreReq: python-module-pygtk-devel >= 2.12.0
BuildPreReq: python-module-pygnome-desktop-devel >= 2.15.90
BuildPreReq: python-module-pygtksourceview-devel >= 2.2.0
%endif

BuildRequires: GConf gnome-common libSM-devel perl-XML-Parser librarian gcc-c++

%description
gEdit is a small but powerful text editor designed expressly for GNOME.

It includes such features as split-screen mode, a plugin API, which
allows gEdit to be extended to support many features while remaining
small at its core, multiple document editing through the use of a
'tabbed' notebook and many more functions.

GNOME is required to use gEdit.

%package devel
Group: Development/C
Summary: Libraries needed to develop plugins for gedit
Requires: %name = %version-%release
Requires: libgtksourceview-devel

%description devel
Libraries needed to develop plugins for gedit.

%package devel-doc
Group: Development/C
Summary: Development documentation for gedit
Conflicts: %name < %version
BuildArch: noarch

%description devel-doc
This package contains documentation needed to develop plugins for gedit.

%define _libexecdir %_prefix/libexec

%prep
%setup -q
%patch1 -p1
rm -f m4/libtool.m4 m4/lt*.m4

%build
%autoreconf
%configure \
    %{subst_enable python} \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-static
%make_build

%install
%make_install install DESTDIR=%buildroot

%find_lang --with-gnome %name

%define node /apps/gedit-2/preferences
%define encodings WINDOWS-1251,CP866,KOI8-U,ISO-8859-15

%post
%gconf2_install %name %name-file-browser

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name %name-file-browser
fi

# TODO: Mention plugins explicitly. Maybe even split them into a separate
# package(s).
%files -f %name.lang
%_bindir/*
%dir %_libdir/%name-2/plugin-loaders
%_libdir/%name-2/plugin-loaders/*.so
%dir %_libdir/%name-2
%_libexecdir/%name-2/gedit-bugreport.sh
%dir %gedit_pluginsdir
%gedit_pluginsdir/*
%_datadir/%name-2
%_desktopdir/*
%_mandir/man?/*
%config %gconf_schemasdir/*
%doc BUGS README ChangeLog AUTHORS

%exclude %gedit_pluginsdir/*.la
%exclude %_libdir/%name-2/plugin-loaders/*.la

%files devel
%_includedir/*
%_pkgconfigdir/*

%files devel-doc
%_datadir/gtk-doc/html/%name

%changelog
* Thu Jul 02 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- 2.26.3

* Sun May 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Mon Apr 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- updated buildreqs

* Sun Jan 11 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Sun Nov 23 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- remove obsolete %%post{,un} scripts

* Tue Nov 04 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- devel-doc subpackage (noarch)

* Tue Sep 30 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Tue Jul 22 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt2
- apply fix from repocop for menus

* Mon Jun 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version (2.22.3)

* Wed Apr 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt2
- moved settings from post-script to patch1 (#2279)
- fixed build with librarian

* Sun Mar 16 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Fri Feb 08 2008 Grigory Batalov <bga@altlinux.ru> 2.20.4-alt1.1
- Rebuilt with python-2.5.

* Mon Dec 03 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.4-alt1
- new version (2.20.4)
- add Packager
- add %%gconf2_install gedit-file-browser in %%post
- add %%preun section
- change %%find_lang

* Mon Jul 23 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.2-alt1
- new version (2.18.2)
- use macros from rpm-build-gnome
- the patch for aspell detection is obsolete

* Tue Jan 02 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Wed Sep 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version
- updated dependencies

* Sun Sep 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.9-alt1
- new version (2.15.9)
- updated dependencies and files list
- turned on 'python' switch by default

* Wed May 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.3-alt1
- new version 2.14.3 (with rpmrb script)

* Sat Apr 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Sat Mar 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Sat Feb 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.91-alt1
- new version (2.13.91)
- revised buildreqs, cleaned up the spec, updated the aspell configure patch.
- removed Debian menu support.
- added python switch (non-functional yet due to lack of deps in Sisyphus).

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- Fixed dependencies of the -devel subpackage.

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version
- Urlified Source tag.

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Mon Sep 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.93-alt1
- 2.11.93
- Removed excess buildreqs.

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.3-alt1
- 2.10.3

* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Tue Jun 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Mon May 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Fri Mar 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Fri Sep 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0
- patch from vk@ to enable belorussian spell support.

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Tue Jul 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Sat May 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1
- syntax highlighting via GtkSourceView library.

* Thu Apr 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.91-alt1
- 2.1.91

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Wed Nov 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2.1-alt1
- 2.1.2.1

* Sat Oct 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2
- Added some default settings in %%post via %%gconf2_set.

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Mon Oct 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0.1-alt1
- 2.1.0.1

* Fri Sep 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.5-alt1
- go to gnome2

* Thu Dec 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9.6-alt3
- fixed default font
- spec cleanup
- added Belarusian translation

* Tue Apr 17 2001 AEN <aen@logic.ru> 0.9.6-alt2
- i18n printing support added (patch by Vlad Harchev from gnumeric)
* Mon Apr 9 2001 AEN <aen@logic.ru> 0.9.6-alt1
- new version in new environment

* Thu Nov 30 2000 AEN <aen@logic.ru>
- utf8 print patch

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.3-1mdk
- new version 0.9.3
- moved plugins .so in normal package

* Wed Sep 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-3mdk
- fixed langs
- further macroszification
- fixed icons
- fixed buildroot
- commented out .desktop
- fixed help

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- release 0.9.0 (from helix)
- BM + macroszification

* Wed Jun 28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 0.7.0-4mdk
- Corrected po file source name gz -> bz2.

* Sun Jun 18 2000 dam's <damien@mandrakesoft.com> 0.7.0-3mdk
- Re-include po files.

* Thu Jun 15 2000 Reinhard Katzmann <reinhard@suamor.de> 0.7.0-2mdk
- Several important files were not included in the package :-(

* Mon Jun 12 2000 dam's <damien@mandrakesoft.com> 0.7.0-1mdk
- updated from helix.
- clean up spec.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Add icons

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-2mdk
- Add menu entry

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.1-1mdk
- build release
- cleanup spec file .
- add post and postun sections (sometimes handy)
- upgrade from helix

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.5-2mdk
- fix group
- package should not be relocatable

* Wed Nov 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.5.5

* Fri Aug 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest translation files from CVS

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpage

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.4 from CVS :

	* README: Upped version number to 0.5.4. Also updated various parts
	  of the file to reflect current features and other related items.

	* README.plugins, INSTALL, makeconfig.pl: Upped version number to 0.5.4,
	  in preperation of release.

	* NEWS: Added Announce message for 0.5.4.

	* Erk! i havent been keeping this up to date.. ahwell.. here goes..

	* gE_document.[ch]: (gE_window_new) Make it a GnomeApp arg, instead
	  of a GtkWidget.. much nicer.. And commented out the call to
	  gE_set_menu_toggle_states, gnome-libs 1.0.11 doenst seem to like it..

	* gE_mdi.c: various improvements.. (iirc ;)

	* gE_prefs.[ch]: Added a "close doc" flag..

	* gE_prefs_box.c: Moved the print tab to a Document tab, and added a
	  option for what to do when the last documnet of the window is closed..
	  right now only the first option works.. this corresponds with the
	  flag, above.

	* commands.c: Made the close callback check the "close doc" flag, and
	  it will either open a new doc if there arent any more, or print hola! to
	  stdout.. as i said, its not fully implemented yet.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
